<?php


function VIEWTABLE_KONTAKTY($params = array()) {

	SE_Layout::menu();

	Lib::loadClass('ProcesHelper');
	$zasobID = ProcesHelper::getZasobTableID('KONTAKTY_view');
	if (!$zasobID) {
		echo "Nr zasobu Kontakty nie został odnaleziony";
		return;
	}
	$zasobObj = ProcesHelper::getZasobTableInfo($zasobID);
	if (!$zasobObj) {
		echo "Zasob Kontakty nie został odnaleziony";
		return;
	}

	$userAcl = User::getAcl();
	$userAcl->fetchGroups();

	if (!$userAcl->hasTableAcl($zasobObj->ID)) {
		?>
		<div class="container">
			<div class="alert alert-error">Brak uprawnień do tabeli nr <?php echo $zasobObj->ID; ?></div>
		</div>
		<?php
		return;
	}

	$tblAcl = $userAcl->getTableAcl($zasobObj->ID);

	$forceTblAclInit = ('1' == V::get('_force', '', $_GET));
	$tblAcl->init($forceTblAclInit);

	Lib::loadClass('TableAjax');

	$tbl = new TableAjax($tblAcl);
	$tblLabel = array();
	if (!empty($zasobObj->DESC_PL)) $tblLabel []= $zasobObj->DESC_PL;
	if (!empty($zasobObj->OPIS))    $tblLabel []= $zasobObj->OPIS;
	$tblLabel = implode(" - ", $tblLabel);
	$tbl->setLabel($tblLabel);
	$tbl->addRowFunction('edit');
	$tbl->addRowFunction('hist');
	$tbl->addRowFunction('files');
	$tbl->addRowFunction('cp');
	echo $tbl->render();
}
